.kit.flexible {
  display: flex;
  flex-flow: row wrap;
  flex-basis: 100%;
  &.row {
    flex-direction: row !important;
    margin: 0 -0.5rem;
    & > .chunk {
      padding: 0 0.5rem;
    }
    .vertical.spacer{
      margin-bottom: 1rem;
    }
  }

  &.justify,
  &.row.justify {
    &.around {
      justify-content: space-around;
    }
    &.between {
      justify-content: space-between;
    }
    &.start {
      justify-content: flex-start;
    }
    &.center {
      justify-content: center;
    }
    &.end {
      justify-content: flex-end;
    }
  }
  &.align,
  &.row.justify {
    align-items: flex-start;
    &.top {
      align-items: flex-start;
    }
    &.middle {
      align-items: center;
    }
    &.bottom {
      align-items: flex-end;
    }
  }

  &.column {
    flex-direction: column !important;
  }

  &.wrap {
    flex-wrap: wrap !important;
    &.not.wrap {
      flex-wrap: nowrap !important;
    }
  }

  &.inline {
    display: inline-flex;
  }

  .chunk {
    &.fluid {
      width: 100%;
      flex: 1 1 100%;
    }
    &.viscous {
      flex: 1 1 auto;
    }
  }

  .column {
    &.one-three,
    &.one,
    &.two,
    &.three,
    &.four,
    &.five,
    &.six,
    &.seven,
    &.eight,
    &.nine,
    &.ten,
    &.eleven,
    &.twelve,
    &.thirteen,
    &.fourteen,
    &.fifteen,
    &.sixteen {
      &.size-max {
        display: flex;
        height: 100%;
      }
      flex: 1 1 100%;
    }
    &.one-three {
      flex: 1 1 100%/16*5.33;
      max-width: 100%/16*5.33;
    }
    &.one {
      flex: 1 1 100%/16;
      max-width: 100%/16;
    }
    &.two {
      flex: 1 1 100%/16*2;
      max-width: 100%/16*2;
    }
    &.three {
      flex: 1 1 100%/16*3;
      max-width: 100%/16*3;
    }
    &.four {
      flex: 1 1 100%/16*4;
      max-width: 100%/16*4;
    }
    &.five {
      flex: 1 1 100%/16*5;
      max-width: 100%/16*5;
    }
    &.six {
      flex: 1 1 100%/16*6;
      max-width: 100%/16*6;
    }
    &.seven {
      flex: 1 1 100%/16*7;
      max-width: 100%/16*7;
    }
    &.eight {
      flex: 1 1 100%/16*8;
      max-width: 100%/16*8;
    }
    &.nine {
      flex: 1 1 100%/16*9;
      max-width: 100%/16*9;
    }
    &.ten {
      flex: 1 1 100%/16*10;
      max-width: 100%/16*10;
    }
    &.eleven {
      flex: 1 1 100%/16*11;
      max-width: 100%/16*11;
    }
    &.twelve {
      flex: 1 1 100%/16*12;
      max-width: 100%/16*12;
    }
    &.thirteen {
      flex: 1 1 100%/16*13;
      max-width: 100%/16*13;
    }
    &.fourteen {
      flex: 1 1 100%/16*14;
      max-width: 100%/16*14;
    }
    &.fifteen {
      flex: 1 1 100%/16*15;
      max-width: 100%/16*15;
    }
    &.sixteen {
      flex: 1 1 100%/16*16;
      max-width: 100%/16*16;
    }
  }
}